Method: projects.locations.dataStores.controls.create

建立控制項。

資料儲存庫預設可有 1000 個控制項。如要調整這項限制,可以提出要求。如果要建立的 Control 已存在,系統會傳回 ALREADY_EXISTS 錯誤。

HTTP 要求


POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/dataStores/*}/controls

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,父項資料儲存庫的完整資源名稱。格式:projects/{project}/locations/{location}/collections/{collectionId}/dataStores/{dataStoreId} 或 projects/{project}/locations/{location}/collections/{collectionId}/engines/{engineId}。

查詢參數

參數
controlId

string

這是必要旗標,要用於控制項的 ID,會成為控制項資源名稱的最終元件。

這個值必須介於 1 至 63 個字元之間。有效字元為 /[a-z][0-9]-_/.

要求主體

要求主體包含 Control 的執行個體。

回應主體

如果成功,回應主體會包含新建立的 Control 執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview。

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • discoveryengine.controls.create

詳情請參閱 IAM 說明文件。